Skip to main content
POST
Create an Article

Introduction

This endpoint allows you to create a new article. Use body_markdown for article content. Articles created with this field have source set to siit.
  1. Articles created via this endpoint will be automatically published, and thus might be picked by the Siit Bot.
  2. Category will be the default one when not provided.

Usage

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for creating or updating an Article. Pass UIDs (not objects) for relationship fields.

is_restricted_to_audience
boolean

Whether only the audience can see it

audience
object

People who can see the record when is_restricted_to_audience is true. A person matches when every matcher matches. Without a status matcher, status = employee is added. Writing it replaces all the matchers.

title
string
subtitle
string | null
body
string
deprecated

please use "body_markdown" instead

body_markdown
string

Content of the article, as markdown. Takes precedence over body when both are provided.

external_url
string | null

URL that the article redirects to

category
string

The category of this article. Pass the UID of the related object.

author
string | null

The user who creates the article (only honored on create — defaults to current user). Pass the UID of the related object.

Response

201 - application/json

Article created

result
object